Get the results of the client charges report as an xlsx file

​

Body·

application/json
  • The client partner to filter by

  • The cost centre id to filter by

  • The start date in the charge date range

  • The end date in the charge date range

  • The revenue account id to filter by

  • Integer numbers.

    values
    AdhocCharge = 0FreightCharge = 1StorageCharge = 2ActivityCharge = 3

Responses

  • OK

Request Example for post/v1/reports/client-charges/xlsx
curl https://api.consignlyhq.com/v1/reports/client-charges/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "clientPartnerId": null,
  "transactionType": "enum (AdhocCharge = 0, FreightCharge = 1, StorageCharge = 2, ActivityCharge = 3)",
  "costCentreId": null,
  "revenueAccountId": null
}'
No Body